Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package util
  Definition Classes
    nsc
- CharArrayReader
- CharArrayReaderData
- ClassPath
- ClassRepresentation
- DirectoryClassPath
- DocStrings
- EditDistance
- EmptyAction
- Exceptional
- FailedInterrupt
- InterruptReq
- JavaCharArrayReader
- JavaClassPath
- MergedClassPath
- ShowPickled
- SimpleTracer
- StackTraceOps
- StringUtil
- WorkScheduler

c

scala.tools.nsc.util

# InterruptReq

###

#### abstract class InterruptReq extends AnyRef

A class of work items to be used in interrupt requests. Todo: we should replace the Eithers by Futures or Try's.

Source
  InterruptReq.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. InterruptReq
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new InterruptReq()

### Type Members

1.  type Continuation = (Either[R, Throwable]) => Unit
2.  abstract type R

   The result type of the operation

### Abstract Value Members

1.  abstract val todo: () => R

   The operation to be performed

   The operation to be performed

   Attributes
     protected

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from InterruptReq toany2stringadd[InterruptReq] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (InterruptReq, B)
   Implicit
     This member is added by an implicit conversion from InterruptReq toArrowAssoc[InterruptReq] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def ensuring(cond: (InterruptReq) => Boolean, msg: => Any): InterruptReq
   Implicit
     This member is added by an implicit conversion from InterruptReq toEnsuring[InterruptReq] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (InterruptReq) => Boolean): InterruptReq
   Implicit
     This member is added by an implicit conversion from InterruptReq toEnsuring[InterruptReq] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: => Any): InterruptReq
    Implicit
      This member is added by an implicit conversion from InterruptReq toEnsuring[InterruptReq] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): InterruptReq
    Implicit
      This member is added by an implicit conversion from InterruptReq toEnsuring[InterruptReq] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
14.  def execute(): Unit

    To be called from interrupted server to execute demanded task

15.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
16.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from InterruptReq toStringFormat[InterruptReq] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
17.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  def getResult(): R

    To be called from interrupting client to get result for interrupt

19.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
21.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  def onComplete(k: Continuation): Unit
25.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
26.  def toString(): String
    Definition Classes
      AnyRef → Any
27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
28.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
29.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (InterruptReq, B)
   Implicit
     This member is added by an implicit conversion from InterruptReq toArrowAssoc[InterruptReq] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromInterruptReq to any2stringadd[InterruptReq]

### Inherited by implicit conversion StringFormat fromInterruptReq to StringFormat[InterruptReq]

### Inherited by implicit conversion Ensuring fromInterruptReq to Ensuring[InterruptReq]

### Inherited by implicit conversion ArrowAssoc fromInterruptReq to ArrowAssoc[InterruptReq]

### Ungrouped